import 'dart:convert';

import 'package:zhiying_base_widget/widgets/goods_details/footer/model/goods_details_footer_model.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class GoodsDetailsFooterRepository {
  /// 初始化数据
  Future<GoodsDetailsFooterModel> fetchParentData(final Map<String, dynamic> model) async {
    try {
      return GoodsDetailsFooterModel.fromJson(jsonDecode(model['data']));
    } catch (e) {
      Logger.log('GoodsDetailsFooterRepository e = $e');
    }
    return null;
  }

  /// 点击收藏
  Future<GoodsDetailsFooterModel> fetchCollect() async{
    return null;
  }

  /// 跳转购买

  /// 分享
}
